Package csb :: Package statmech :: Module wham :: Class AbstractWHAM

[frames] | no frames]

# Class AbstractWHAM

source code

    object --+
             |
            AbstractWHAM

Known Subclasses:
  - NonparametricWHAM
  - , WHAM

Abstract base class

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, ensembles, raw_energies, n) x.__init__(...) initializes x; see help(type(x)) for signature | source code

estimate(self, *params) Estimate the density of states | source code

float

log_g(self, normalize=True) Return the Density of states (DOS). | source code

float or array

log_z(self, beta=1.0, ensembles=None) Compute the partition function for an ensemble at inverse temperature beta or for a defined ensemble | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``estimate``'``,` `'``log_z``'``])``

Properties
| free_energies Free energies
Inherited from `object`: `__class__`

Method Details

### __init__(self, ensembles, raw_energies, n)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### log_g(self, normalize=True)

source code

Return the Density of states (DOS).

Parameters:
  - `normalize` - Ensure that the density of states sums to one
Returns: float

### log_z(self, beta=1.0, ensembles=None)

source code

Compute the partition function for an ensemble at inverse temperature beta or for a defined ensemble

Parameters:
  - `beta` (float or list) - Inverse Temperature
  - `ensembles` (List of ensembles) - List of ensembles for which the partition function should be evaluated
Returns: float or array

Property Details

### free_energies

Free energies

Get Method:
  unreachable.free_energies(self) - Free energies